Get a voice agent
curl --request GET \
--url https://app.miyon.ai/api/v1/voice_agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.miyon.ai/api/v1/voice_agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.miyon.ai/api/v1/voice_agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.miyon.ai/api/v1/voice_agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.miyon.ai/api/v1/voice_agents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.miyon.ai/api/v1/voice_agents/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.miyon.ai/api/v1/voice_agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"concerns": {
"voice_config": {
"read_url": "<string>",
"schema_url": "<string>",
"change_url": "<string>"
},
"prompts": {
"read_url": "<string>",
"schema_url": "<string>",
"change_url": "<string>"
},
"knowledge_base": {
"read_url": "<string>",
"schema_url": "<string>",
"change_url": "<string>"
}
}
}Voice Agents
Get a voice agent
Read one voice agent.
GET
/
api
/
v1
/
voice_agents
/
{id}
Get a voice agent
curl --request GET \
--url https://app.miyon.ai/api/v1/voice_agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.miyon.ai/api/v1/voice_agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.miyon.ai/api/v1/voice_agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.miyon.ai/api/v1/voice_agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.miyon.ai/api/v1/voice_agents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.miyon.ai/api/v1/voice_agents/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.miyon.ai/api/v1/voice_agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"concerns": {
"voice_config": {
"read_url": "<string>",
"schema_url": "<string>",
"change_url": "<string>"
},
"prompts": {
"read_url": "<string>",
"schema_url": "<string>",
"change_url": "<string>"
},
"knowledge_base": {
"read_url": "<string>",
"schema_url": "<string>",
"change_url": "<string>"
}
}
}Autorisierungen
Scoped API token. Required scopes are listed on each operation in x-required-scopes.
Pfadparameter
ID of the voice agent.
Antwort
The voice agent.
ID of the voice agent.
Display name of the agent.
Empty string when no description is set.
When the agent was created.
When the agent or its prompt was last changed.
URLs of this agent's settings endpoints.
Show child attributes
Show child attributes